libnvme(2)

NAME
struct nvme_mi_port_pcie - PCIe Port Specific Data

SYNOPSIS
struct nvme_mi_port_pcie {
__u8 mps;
__u8 sls;
__u8 cls;
__u8 mlw;
__u8 nlw;
__u8 pn;
__u8 rsvd14[18];
};

Members

mps PCIe Maximum Payload Size

sls PCIe Supported Link Speeds Vector

cls PCIe Current Link Speed

mlw PCIe Maximum Link Width

nlw PCIe Negotiated Link Width

pn  PCIe Port Number

rsvd14
    Reserved